VSTGUI: ZLibInputStream Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | Protected Attributes | List of all members
ZLibInputStream Class Reference
Inheritance diagram for ZLibInputStream:

## Public Member Functions
| ZLibInputStream (ByteOrder byteOrder=kNativeByteOrder)
| ~ZLibInputStream ()
bool | open (InputStream &stream)
bool | operator>> (std::string &string) override
uint32_t | readRaw (void *buffer, uint32_t size) override
Public Member Functions inherited from InputStream
| InputStream (ByteOrder byteOrder=kNativeByteOrder)
virtual | ~InputStream () noexcept=default
ByteOrder | getByteOrder () const
void | setByteOrder (ByteOrder newByteOrder)
bool | operator>> (int8_t &output)
bool | operator>> (uint8_t &output)
bool | operator>> (int16_t &output)
bool | operator>> (uint16_t &output)
bool | operator>> (int32_t &output)
bool | operator>> (uint32_t &output)
bool | operator>> (int64_t &output)
bool | operator>> (uint64_t &output)
bool | operator>> (double &output)
virtual bool | operator>> (std::string &string)=0
virtual uint32_t | readRaw (void *buffer, uint32_t size)=0

## Protected Attributes
std::unique_ptr< mz_stream > | zstream
InputStream * | stream {nullptr}
std::array< Bytef, 4096 > | internalBuffer

## Constructor & Destructor Documentation

## ◆ ZLibInputStream()

ZLibInputStream | ( | ByteOrder | byteOrder = `kNativeByteOrder` | ) |

## ◆ ~ZLibInputStream()

~ZLibInputStream | ( |  | ) |

## Member Function Documentation

## ◆ open()

bool open | ( | InputStream & | stream | ) |

## ◆ operator>>()

bool operator>> | ( | std::string & | string | ) |
| inlineoverridevirtual

Implements InputStream.

## ◆ readRaw()

uint32_t readRaw | ( | void * | buffer,
|  | uint32_t | size
| ) |  |
| overridevirtual

Implements InputStream.

## Member Data Documentation

## ◆ internalBuffer

std::array<Bytef, 4096> internalBuffer
| protected

## ◆ stream

InputStream* stream {nullptr}
| protected

## ◆ zstream

std::unique_ptr< mz_stream > zstream
| protected

The documentation for this class was generated from the following file:

- compresseduidescription.cpp